[Snort-users] Problem with Snort 2.0.0 and MySQL Client with Redhat 9

Mike Chandler mchandl12000 at ...131...
Tue Apr 15 22:25:06 EDT 2003


I upgraded to Snort 2.0.0 compiling with --with-mysql
flag and everything worked fine.  Snort could connect
to MySQL.  Then I decided to complete the upgrade and
went to redhat 9.0 with MySQL 3.23.53a and reinstalled
Snort 2.0.0, compiling with --with--mysql flag.  I get
an error like the one below.
*******************************************
root at ...8891... root]# snort -v
snort: relocation error:
/usr/lib/libmysqlclient.so.10: symbol errno, version
GLIBC_2.0 not defined in file libc.so.6 with link time
reference
*******************************************
Apparently Redhat 9.0 uses glibc 2.3.2.

Using MySQL 4.x doesn't seem to be an option

Does anyone have a clue on how I can fix this?

__________________________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo
http://search.yahoo.com




More information about the Snort-users mailing list